Skip to main content
GET
/
check-comment
/check-comment Check if the user posted a comment under the tweet
curl --request GET \
  --url https://api.sorsa.io/v2/check-comment \
  --header 'ApiKey: <api-key>'
{
  "commented": true,
  "tweet": {
    "bookmark_count": 123,
    "conversation_id_str": "<string>",
    "created_at": "<string>",
    "entities": [
      {
        "link": "<string>",
        "preview": "<string>",
        "type": "<string>"
      }
    ],
    "favorite_count": 123,
    "full_text": "<string>",
    "id_str": "<string>",
    "in_reply_to_status_id_str": "<string>",
    "is_quote_status": true,
    "quote_count": 123,
    "quoted_status": {
      "created_at": "<string>",
      "favorite_count": 123,
      "full_text": "<string>",
      "id_str": "<string>",
      "quote_count": 123,
      "retweet_count": 123,
      "user": {
        "avatar": "<string>",
        "can_dm": true,
        "created_at": "<string>",
        "description": "<string>",
        "followers_count": 123,
        "friends_count": 123,
        "id_str": "<string>",
        "name": "<string>",
        "screen_name": "<string>",
        "statuses_count": 123
      }
    },
    "reply_count": 123,
    "retweet_count": 123,
    "retweeted_status": {
      "created_at": "<string>",
      "favorite_count": 123,
      "full_text": "<string>",
      "id_str": "<string>",
      "quote_count": 123,
      "retweet_count": 123,
      "user": {
        "avatar": "<string>",
        "can_dm": true,
        "created_at": "<string>",
        "description": "<string>",
        "followers_count": 123,
        "friends_count": 123,
        "id_str": "<string>",
        "name": "<string>",
        "screen_name": "<string>",
        "statuses_count": 123
      }
    },
    "user": {
      "avatar": "<string>",
      "can_dm": true,
      "created_at": "<string>",
      "description": "<string>",
      "followers_count": 123,
      "friends_count": 123,
      "id_str": "<string>",
      "name": "<string>",
      "screen_name": "<string>",
      "statuses_count": 123
    },
    "view_count": 123
  }
}

Authorizations

ApiKey
string
header
required

Query Parameters

tweet_link, user_handle or user_id required

user_handle
string

tweet_link, user_handle or user_id required

user_id
string

tweet_link, user_handle or user_id required

Response

OK

commented
boolean
tweet
object